package com.microservices.pms.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.microservices.common.core.annotation.Excel;
import com.microservices.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 测试单对象 pms_project_testsheet
 *
 * @author microservices
 * @date 2023-11-27
 */
public class PmsProjectTestsheet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long pmsProjectId;

    /** 测试单名称 */
    @Excel(name = "测试单名称")
    private String name;

    /** 负责人ID */
    @Excel(name = "负责人ID")
    private Long assigneeId;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 关联迭代ID */
    @Excel(name = "关联迭代ID")
    private Long projectSprintId;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getPmsProjectId() {
        return pmsProjectId;
    }

    public void setPmsProjectId(Long pmsProjectId) {
        this.pmsProjectId = pmsProjectId;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setAssigneeId(Long assigneeId) 
    {
        this.assigneeId = assigneeId;
    }

    public Long getAssigneeId() 
    {
        return assigneeId;
    }
    public void setBeginTime(Date beginTime) 
    {
        this.beginTime = beginTime;
    }

    public Date getBeginTime() 
    {
        return beginTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setProjectSprintId(Long projectSprintId) 
    {
        this.projectSprintId = projectSprintId;
    }

    public Long getProjectSprintId() 
    {
        return projectSprintId;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pmsProductId", getPmsProjectId())
            .append("name", getName())
            .append("assigneeId", getAssigneeId())
            .append("beginTime", getBeginTime())
            .append("endTime", getEndTime())
            .append("projectSprintId", getProjectSprintId())
            .append("status", getStatus())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
